#!/usr/bin/env python

import os
from subprocess import check_call

def resolve_script_path(rel_path):
    return os.path.abspath(os.path.join(os.path.dirname(__file__), rel_path))

def main():
    args = [
     "python",
     resolve_script_path("../fips_norm.py"),
     resolve_script_path("./input"),
     "--extension", ".cpp", ".h",
     "--tab-space", "4",
     "--line-ending", "nix",
     "--recursive"
    ]
    print("\n".join("> " + x for x in args))
    check_call(args)

if __name__ == "__main__":
    main()
